[Numpy-discussion] numpy build/installation problems ?

josef.pktd@gmai... josef.pktd@gmai...
Mon Oct 19 10:26:04 CDT 2009


On Mon, Oct 19, 2009 at 10:40 AM,  <josef.pktd@gmail.com> wrote:
> I wanted to finally upgrade my numpy, so I can build scipy trunk
> again, but I get test failures with numpy. And running the tests of
> the previously compiled version of scipy crashes in signaltools.
>
> Is this a problem with my build (the usual official MingW on
> WindowsXP), or are there still ABI problems in numpy trunk?
> I did the build twice with (I think) clean directories and get the same result.
>
> Thanks,
>
> Josef

Forgot to mention my previous version of scipy was build against numpy
release 1.3.0

I recompiled scipy, and have no problems building and running scipy
trunk against numpy trunk.

One problem I had, was that during the build of scipy,    gcc failed
with unknown npymath.
I had to copy the file libnpymath.a to my Python libs directory, then
the build finished without
problems.

Josef


More information about the NumPy-Discussion mailing list